# vim: set sw=4 ts=4 et nu:

Name:               dcaenc
Version:            2
%define soname      0
Release:            1699.2.pm.9
Summary:            DTS Encoder
Source:             http://aepatrakov.narod.ru/dcaenc/dcaenc-%{version}.tar.gz
Url:                http://aepatrakov.narod.ru/dcaenc/
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            LGPL-2.1+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      alsa-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
Requires:           libdcaenc%{soname} = %{version}

%description
dcaenc is a Free Software (LGPL-licensed) encoder for the DTS Coherent
Acoustics audio format. It may be useful if you want to create a DTS CD or a
DTS soundtrack for a DVD from a 6-channel PCM wav file using linux. Another use
case is related to real-time encoding of multichannel PCM audio output from
arbitrary linux applications for transmission over SPDIF.

The DTS technology is heavily patented. Please do not download and do not use
this software if you live in a country such as USA where software patents are
legal and you don't have a patent license from DTS, Inc.

%package -n alsa-plugins-dca
Summary:            DTS Encoding Library
Group:              System/Libraries
Requires:           libdcaenc%{soname} = %{version}

%description -n alsa-plugins-dca
dcaenc is a Free Software (LGPL-licensed) encoder for the DTS Coherent
Acoustics audio format. It may be useful if you want to create a DTS CD or a
DTS soundtrack for a DVD from a 6-channel PCM wav file using linux. Another use
case is related to real-time encoding of multichannel PCM audio output from
arbitrary linux applications for transmission over SPDIF.

The DTS technology is heavily patented. Please do not download and do not use
this software if you live in a country such as USA where software patents are
legal and you don't have a patent license from DTS, Inc.

This package contains the dca I/O plug-in for the ALSA library.

%package -n libdcaenc%{soname}
Summary:            DTS Encoding Library
Group:              System/Libraries

%description -n libdcaenc%{soname}
dcaenc is a Free Software (LGPL-licensed) encoder for the DTS Coherent
Acoustics audio format. It may be useful if you want to create a DTS CD or a
DTS soundtrack for a DVD from a 6-channel PCM wav file using linux. Another use
case is related to real-time encoding of multichannel PCM audio output from
arbitrary linux applications for transmission over SPDIF.

The DTS technology is heavily patented. Please do not download and do not use
this software if you live in a country such as USA where software patents are
legal and you don't have a patent license from DTS, Inc.

%package -n libdcaenc-devel
Summary:            DTS Encoding Library
Group:              Development/Libraries/C and C++
Requires:           libdcaenc%{soname} = %{version}
Requires:           alsa-devel

%description -n libdcaenc-devel
dcaenc is a Free Software (LGPL-licensed) encoder for the DTS Coherent
Acoustics audio format. It may be useful if you want to create a DTS CD or a
DTS soundtrack for a DVD from a 6-channel PCM wav file using linux. Another use
case is related to real-time encoding of multichannel PCM audio output from
arbitrary linux applications for transmission over SPDIF.

The DTS technology is heavily patented. Please do not download and do not use
this software if you live in a country such as USA where software patents are
legal and you don't have a patent license from DTS, Inc.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.la
%__rm "%{buildroot}%{_libdir}/alsa-lib"/*.la

%post   -n libdcaenc%{soname} -p /sbin/ldconfig
%postun -n libdcaenc%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/dcaenc

%files -n alsa-plugins-dca
%defattr(-,root,root)
%{_libdir}/alsa-lib
%config %{_datadir}/alsa/pcm/dca.conf

%files -n libdcaenc%{soname}
%defattr(-,root,root)
%{_libdir}/libdcaenc.so.%{soname}
%{_libdir}/libdcaenc.so.%{soname}.*

%files -n libdcaenc-devel
%defattr(-,root,root)
%{_includedir}/dcaenc.h
%{_libdir}/libdcaenc.so
%{_libdir}/pkgconfig/dcaenc.pc

%changelog
* Wed Nov  6 2013 joerg.lorenzen@ki.tng.de
- update to version 2
  * Minor cleanups
  * Support for 5.0 channel encoding
  * Fixed infinite loop on too-high bitrates
  * Fixed buffer overflow on attempts to encode a 7.1 file
- removed patch dcaenc-fix_missing_include.patch
- changed license to LGPL-2.1+
* Mon Dec 19 2011 pascal.bleser@opensuse.org
- initial version (1)
